Skip to main content

Access Request Destinations

View as Markdown

AccessRequestDestinations object

destinationsarray of object

The access request destinations for the securable.

Show child attributesHide child attributes
destination_idstring

The identifier for the destination. This is the email address for EMAIL destinations, the URL for URL destinations, or the unique <Databricks> notification destination ID for all other external destinations.

Example: john.doe@databricks.com

destination_typestring

The type of the destination.

Values: DESTINATION_TYPE_UNSPECIFIED, EMAIL, SLACK, GENERIC_WEBHOOK, MICROSOFT_TEAMS, URL

Example: EMAIL

special_destinationstring

This field is used to denote whether the destination is the email of the owner of the securable object. The special destination cannot be assigned to a securable and only represents the default destination of the securable. The securable types that support default special destinations are: "catalog", "external_location", "connection", "credential", and "metastore". The destination_type of a special_destination is always EMAIL.

Values: SPECIAL_DESTINATION_UNSPECIFIED, SPECIAL_DESTINATION_CATALOG_OWNER, SPECIAL_DESTINATION_EXTERNAL_LOCATION_OWNER, SPECIAL_DESTINATION_CONNECTION_OWNER, SPECIAL_DESTINATION_CREDENTIAL_OWNER, SPECIAL_DESTINATION_METASTORE_OWNER, SPECIAL_DESTINATION_SCHEMA_OWNER, SPECIAL_DESTINATION_TABLE_OWNER, SPECIAL_DESTINATION_VOLUME_OWNER, SPECIAL_DESTINATION_FUNCTION_OWNER, SPECIAL_DESTINATION_REGISTERED_MODEL_OWNER

Example: SPECIAL_DESTINATION_CATALOG_OWNER

securableobject

The securable for which the access request destinations are being modified or read.

Show child attributesHide child attributes
typestring

Required. The type of securable (catalog/schema/table). Optional if resource_name is present.

Values: CATALOG, SCHEMA, TABLE, STORAGE_CREDENTIAL, EXTERNAL_LOCATION, FUNCTION, SHARE, PROVIDER, RECIPIENT, CLEAN_ROOM, METASTORE, PIPELINE, VOLUME, CONNECTION, CREDENTIAL, EXTERNAL_METADATA, STAGING_TABLE

full_namestring

Required. The full name of the catalog/schema/table. Optional if resource_name is present.

provider_sharestring

Optional. The name of the Share object that contains the securable when the securable is getting shared in D2D Delta Sharing.

are_any_destinations_hiddenboolean

Indicates whether any destinations are hidden from the caller due to a lack of permissions. This value is true if the caller does not have permission to see all destinations.

Example: false

destination_source_securableobject

The source securable from which the destinations are inherited. Either the same value as securable (if destination is set directly on the securable) or the nearest parent securable with destinations set.

Show child attributesHide child attributes
typestring

Required. The type of securable (catalog/schema/table). Optional if resource_name is present.

Values: CATALOG, SCHEMA, TABLE, STORAGE_CREDENTIAL, EXTERNAL_LOCATION, FUNCTION, SHARE, PROVIDER, RECIPIENT, CLEAN_ROOM, METASTORE, PIPELINE, VOLUME, CONNECTION, CREDENTIAL, EXTERNAL_METADATA, STAGING_TABLE

full_namestring

Required. The full name of the catalog/schema/table. Optional if resource_name is present.

provider_sharestring

Optional. The name of the Share object that contains the securable when the securable is getting shared in D2D Delta Sharing.

securable_typestring

The type of the securable. Redundant with the type in the securable object, but necessary for Terraform integration

full_namestring

The full name of the securable. Redundant with the name in the securable object, but necessary for Terraform integration

Get

GET /api/3.0/rfa/destinations/{securable_type}/{full_name}

Gets an array of access request destinations for the specified securable. Any caller can see URL destinations or the destinations on the metastore. Otherwise, only those with BROWSE permissions on the securable can see destinations.

The supported securable types are: "metastore", "catalog", "schema", "table", "external_location", "connection", "credential", "function", "registered_model", and "volume".

API scopes: unity-catalog

Parameters

securable_typestringpath

The type of the securable.

full_namestringpath

The full name of the securable.

Response

Returns the AccessRequestDestinations object.

Update

PATCH /api/3.0/rfa/destinations

Updates the access request destinations for the given securable. The caller must be a metastore admin, the owner of the securable, or a user that has the MANAGE privilege on the securable in order to assign destinations. A maximum of 5 emails and 5 external notification destinations (Slack, Microsoft Teams, and Generic Webhook destinations) can be assigned to a securable. If a URL destination is assigned, no other destinations can be set.

The supported securable types are: "metastore", "catalog", "schema", "table", "external_location", "connection", "credential", "function", "registered_model", and "volume".

API scopes: unity-catalog

Parameters

update_maskstringquery

Request body

access_request_destinationsobject

The access request destinations to assign to the securable. For each destination, a destination_id and destination_type must be defined.

Show child attributesHide child attributes
destinationsarray of object

The access request destinations for the securable.

Show child attributesHide child attributes
destination_idstring

The identifier for the destination. This is the email address for EMAIL destinations, the URL for URL destinations, or the unique <Databricks> notification destination ID for all other external destinations.

Example: john.doe@databricks.com

destination_typestring

The type of the destination.

Values: DESTINATION_TYPE_UNSPECIFIED, EMAIL, SLACK, GENERIC_WEBHOOK, MICROSOFT_TEAMS, URL

Example: EMAIL

special_destinationstring

This field is used to denote whether the destination is the email of the owner of the securable object. The special destination cannot be assigned to a securable and only represents the default destination of the securable. The securable types that support default special destinations are: "catalog", "external_location", "connection", "credential", and "metastore". The destination_type of a special_destination is always EMAIL.

Values: SPECIAL_DESTINATION_UNSPECIFIED, SPECIAL_DESTINATION_CATALOG_OWNER, SPECIAL_DESTINATION_EXTERNAL_LOCATION_OWNER, SPECIAL_DESTINATION_CONNECTION_OWNER, SPECIAL_DESTINATION_CREDENTIAL_OWNER, SPECIAL_DESTINATION_METASTORE_OWNER, SPECIAL_DESTINATION_SCHEMA_OWNER, SPECIAL_DESTINATION_TABLE_OWNER, SPECIAL_DESTINATION_VOLUME_OWNER, SPECIAL_DESTINATION_FUNCTION_OWNER, SPECIAL_DESTINATION_REGISTERED_MODEL_OWNER

Example: SPECIAL_DESTINATION_CATALOG_OWNER

securableobject

The securable for which the access request destinations are being modified or read.

Show child attributesHide child attributes
typestring

Required. The type of securable (catalog/schema/table). Optional if resource_name is present.

Values: CATALOG, SCHEMA, TABLE, STORAGE_CREDENTIAL, EXTERNAL_LOCATION, FUNCTION, SHARE, PROVIDER, RECIPIENT, CLEAN_ROOM, METASTORE, PIPELINE, VOLUME, CONNECTION, CREDENTIAL, EXTERNAL_METADATA, STAGING_TABLE

full_namestring

Required. The full name of the catalog/schema/table. Optional if resource_name is present.

provider_sharestring

Optional. The name of the Share object that contains the securable when the securable is getting shared in D2D Delta Sharing.

are_any_destinations_hiddenboolean

Indicates whether any destinations are hidden from the caller due to a lack of permissions. This value is true if the caller does not have permission to see all destinations.

Example: false

destination_source_securableobject

The source securable from which the destinations are inherited. Either the same value as securable (if destination is set directly on the securable) or the nearest parent securable with destinations set.

Show child attributesHide child attributes
typestring

Required. The type of securable (catalog/schema/table). Optional if resource_name is present.

Values: CATALOG, SCHEMA, TABLE, STORAGE_CREDENTIAL, EXTERNAL_LOCATION, FUNCTION, SHARE, PROVIDER, RECIPIENT, CLEAN_ROOM, METASTORE, PIPELINE, VOLUME, CONNECTION, CREDENTIAL, EXTERNAL_METADATA, STAGING_TABLE

full_namestring

Required. The full name of the catalog/schema/table. Optional if resource_name is present.

provider_sharestring

Optional. The name of the Share object that contains the securable when the securable is getting shared in D2D Delta Sharing.

securable_typestring

The type of the securable. Redundant with the type in the securable object, but necessary for Terraform integration

full_namestring

The full name of the securable. Redundant with the name in the securable object, but necessary for Terraform integration

Response

Returns the AccessRequestDestinations object.